CURLOPT_RTSP_SESSION_ID(3)

NAME
CURLOPT_RTSP_SESSION_ID - RTSP session ID

SYNOPSIS
#include <curl/curl.h>
CURLcode curl_easy_setopt(CURL *handle, CURLOPT_RTSP_SESSION_ID, char *id);

DESCRIPTION
Pass a char pointer as a parameter to set the value of the current RTSP Session ID for the handle. Useful for resuming an in-progress session. Once this value is set to any non-NULL value, libcurl returns CURLE_RTSP_SESSION_ERROR if the ID received from the server does not match. If unset (or set to NULL), libcurl automatically sets the ID the first time the server sets it in a response. The application does not have to keep the string around after setting this option. Using this option multiple times makes the last set string override the previous ones. Set it to NULL to disable its use again. WARNING: when changing the URL's origin in a reused easy handle, you might want to set or clear the Session ID to avoid reuse across different hosts.

DEFAULT
NULL

PROTOCOLS
This functionality affects rtsp only

EXAMPLE
int main(void)
{
  CURL *curl = curl_easy_init();
  if(curl) {
    CURLcode result;
    char *prev_id = "old"; /* previously retrieved RTSP session ID */
    curl_easy_setopt(curl, CURLOPT_URL, "rtsp://example.com/");
    curl_easy_setopt(curl, CURLOPT_RTSP_SESSION_ID, prev_id);
    result = curl_easy_perform(curl);
    curl_easy_cleanup(curl);
  }
}

AVAILABILITY
Added in curl 7.20.0

RETURN VALUE
curl_easy_setopt(3) returns a CURLcode indicating success or error. CURLE_OK (0) means everything was OK, non-zero means an error occurred, see libcurl-errors(3).

SEE ALSO
CURLOPT_RTSP_REQUEST(3), CURLOPT_RTSP_STREAM_URI(3)